Name:           plexus-sec-dispatcher
Version:        1.4
Release:        %mkrel 8
Summary:        Plexus Security Dispatcher Component

Group:          Development/Java
License:        ASL 2.0
URL:            http://spice.sonatype.org
#svn export http://svn.sonatype.org/spice/tags/plexus-sec-dispatcher-1.4/
#tar jcf plexus-sec-dispatcher-1.4.tar.bz2 plexus-sec-dispatcher-1.4/
Source0:        %{name}-%{version}.tar.bz2
#Removed maven-compiler-plugin configuration version in the pom as annotations isn't available in version 1.4.
Patch0:        %{name}-pom.patch

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-maven-plugin
BuildRequires: plexus-utils
BuildRequires: plexus-cipher
BuildRequires: plexus-container-default
BuildRequires: plexus-containers-component-metadata
BuildRequires: junit
BuildRequires: forge-parent
BuildRequires: spice-parent
BuildRequires: maven-surefire-provider-junit

Requires:       jpackage-utils
Requires:       java
Requires:       spice-parent

%description
Plexus Security Dispatcher Component

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/plexus/%{name}.jar

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.plexus-%{name}.pom

%add_maven_depmap JPP.plexus-%{name}.pom plexus/%{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/plexus/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/plexus/%{name}

%pre javadoc
# workaround for rpm bug, can be removed in F-18
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files
%{_javadir}/plexus/*
%{_mavenpomdir}/JPP.plexus-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/plexus/%{name}



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4-8.mga3
+ Revision: 377917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 1.4-7.mga3
+ Revision: 292261
- Replace plexus-maven-plugin with plexus-component-metadata

* Tue Jan 03 2012 gil <gil> 1.4-6.mga2
+ Revision: 189824
- replaced plexus-maven-plugin with plexus-component-metadata

  + dmorgan <dmorgan>
    - Add spice-parent to Requires
        - Fixes according to new guidelines
        - Versionless jars & javadocs
        - Use maven3 to build

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4-4.mga1
+ Revision: 93031
- Rebuild after bootstrapping
- imported package plexus-sec-dispatcher

